Subject: Changes to the DLUR specification

From: "Ed Tremblay (254-5515)" <[email-masked]>
Date: Fri, 16 Jul 93 13:15:27 EDT

Thanks to all who reviewed the DLUR specification and sent comments
publicly and privately.

Listed below is a summary of the changes which I plan to put into the
DLUR document.  Once they are incorporated, I will put another version
of the document out on the Internet for anonymous FTP (I've been trying
to find a way to also create a file containing only the
added/deleted/changed pages; I can create a change page file for
Bookmaster but can't convert that file to Postscript, and I haven't
got an equivalent tool to create Postscript change page files).  Please
review these changes and continue to submit comments and questions
publicly and privately.

  1) the XID (CV81) control vector will always be sent by the DLUR on
     REQACTPU (requested by the DLUS to have a consistent interface
     whether the PU is internal or external)

     a) figure 5-1, step 8: the phrase "(if the PU is externally
        attached to the DLUR)" will be changed to
        " - an actual XID image if the PU is externally attached to the
            DLUR
          - a DLUR-generated XID format 0 for an internal PU"

     b) section 5.4.1: a sentence will added indicating that whatever
        is sent in CV46 by the DLUR on REQACTPU will be echoed back
        by the DLUS on ACTPU

     c) section 6.1.2: a sentence will added indicating that the
        IDBLK/IDNUM will also be carried in the XID (CV81) for
        REQACTPU (DLUR-initiated) and RSP(ACTPU) (DLUS-initiated)

     d) section 13.1.1.1:the sentence will be changed to allow either
        an I-field image (as already described) or a DLUR-generated
        XID0 for an internal PU

     e) section D.1.2: the parenthetical comments in the description
        of the format field in byte 5 will be removed (since PU
        identification will always be made from information in the XID)

  2) all sections: references to "non-genned terminal" will be changed
     to "Configuration Services XID exit"

  3) section 5.3 (DLUR-Initiated CPSVRMGR Sessions): at the end of the
     third paragraph, after the sentence "This creates an SSCP-PU
     session that enables the DLUS node to provide SSCP services to the
     dependent LUs.", will be added the following sentence: "A DLUR
     optionally may establish a conwinner CPSVRMGR session with
     a DLUS prior to receiving any requests for SSCP services from its
     PUs."

  4) section 5.3 (DLUR-Initiated CPSVRMGR Sessions): references to "byte
     8 bit 8" will be changed to "bytes 8-9 bit 8"

  5) section 5.3.2 (Dynamic DLUS Determination): a section on dynamic
     DLUR determination as a future option will be added to section 5.4
     (DLUS-Initiated CPSVRMGR Sessions)

  6) section 5.5.2 (Accepting or Rejecting a CPSVRMGR Session):
     references to the term "association" will be replaced with
     "session" throughout this section

  7) section 5.7.2 (SSCP-PU and SSCP-LU Session Recovery): the current
     sentence "Ongoing LU-LU sessions may remain active but will suspend
     when SSCP-PU or SSCP-LU flows are required" will be changed to
     "Ongoing LU-LU sessions may remain active but will not be able to
     obtain SSCP services when required".

  8) section 6.2 (SSCP-PU Session Activation): the current sentence
     "Once both the CPSVRMGR conwinner sessions have been established,
      an ACTPU message must be sent over the CP-SVR pipe ..." will be
      changed to "Once the DLUS CPSVRMGR conwinner session has been
      established, an ACTPU message must be sent over the CP-SVR
      pipe ...".

  9) section 8.1.4 (BIND): the current sentence "When a DLUR receives a
     BIND for a dependent LU and there is no active CP-SVR session
     servicing that dependent LU, the DLUR should forward the BIND to
     the LU" will be changed to "When a DLUR receives ... that dependent
     LU, the DLUR as a product option can forward the BIND to the LU".

 10) figure 9-4, step 25: reference to step 7 will be changed to step 10

 11) more consistent use of the term "CP-SVR pipe" as the pair of
     CPSVRMGR sessions between a DLUR and a DLUS

 12) additional information on addressing (as requested at the AIW) will
     be included (haven't written that part yet)

Ed Tremblay